> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Retrieve all registered webhook endpoints

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_ACCESS_TOKEN`
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X GET 'https://crypto-api.yativo.com/api/v1/webhook/get-webhooks' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": {
      "webhooks": [
        {
          "_id": "whk_67e91cbe7747bdb0ba25415f",
          "webhook_name": "Production Webhook",
          "webhook_url": "https://your-app.com/webhooks/yativo",
          "account_id": "acc_6615c3b2e55d9ff7bc0a5678",
          "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
          "version_id": "1",
          "receive_all_events": "true",
          "whitelist_ips": [],
          "status": "active",
          "createdAt": "2026-01-30T10:28:14.829Z",
          "updatedAt": "2026-03-28T10:04:41.998Z"
        }
      ],
      "pagination": {"total": 1, "page": 1, "limit": 20, "pages": 1}
    },
    "status": true,
    "message": "Webhooks retrieved successfully"
  }
  ```
</ResponseExample>
